<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<sounds xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../shared/xml/schema/vehicle_sounds.xsd">
    <motorized>
        <sounds>
            <motor template="engineMedium" file="$data/vehicles/johnDeere/series6R/sounds/series6r.gls" linkNodeOffset="0 1.8 1.2" pitchScale="1" volumeScale="1.5" >
                <volume outdoor="1.0" indoor="0.65"/>
                <lowpassCutoffFrequency indoor="300" outdoor="12000" />
                <lowpassGain indoor="0.3" outdoor="0.5" />
            </motor>
            <motor template="transmissionModern_01" volumeScale="2.8" pitchScale="0.8" linkNode="wheelBackLeft"/>
            <motor template="transmissionModern_01" volumeScale="2.8" pitchScale="0.6" linkNode="wheelBackRight"/>
            <motor template="fanModern_02" volumeScale="2.5" pitchScale="0.8" linkNodeOffset="0 2 2"/>
            <motor template="cabinTractor_01" volumeScale="1.5" pitchScale="1" linkNodeOffset="0.5 2.5 -0.7"  />
            <motor template="cabinTractor_01" volumeScale="1.5" pitchScale="1.1" linkNodeOffset="-0.5 2.5 -0.7" />
            <motor template="indoorCabinRumble" volumeScale="12" pitchScale="1.3" linkNodeOffset="0.5 2.5 -0.7" />
            <motor template="indoorCabinRumble" volumeScale="12" pitchScale="1.1" linkNodeOffset="-0.5 2.5 -0.7" />
            <compressedAir template="compressedAir" volumeScale="1.9"/>
            <airCompressorRun template="brakeCompressorMedium" linkNodeOffset="0 1.7 1.7" volumeScale="2.5"/>
            <airCompressorStop template="compressedAir" volumeScale="1.9"/>
            <motor file="$data/vehicles/johnDeere/series6R/sounds/johnDeereTractor_cabinBeep.wav" innerRadius="1.0" outerRadius="10.0" loops="1" linkNodeOffset="0 3 3" supportsReverb="false" isLocalSound="true">
                <volume indoor="1.4" outdoor="0.0" />
            </motor>
        </sounds>
    </motorized>

    <enterable>
        <sounds>
            <rain template="rainInVehicle"  linkNodeOffset="0 2.5 -0.7" volumeScale="2">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="52.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="15" modifiedValue="1" />
                    <modifier type="SPEED" value="52" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="15" modifiedValue="1" />
                    <modifier type="SPEED" value="52" modifiedValue="1.0" />
                </pitch>
            </rain>
            <hail template="hailInVehicle"  linkNodeOffset="0 2.5 -0.7" volumeScale="1.5">
                <loopSynthesisRpm>
                    <modifier type="SPEED" value="0.0" modifiedValue="0.0" />
                    <modifier type="SPEED" value="42.0" modifiedValue="1" />
                </loopSynthesisRpm>
                <volume>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="42" modifiedValue="1.2" />
                </volume>

                <pitch>
                    <modifier type="SPEED" value="0" modifiedValue="1" />
                    <modifier type="SPEED" value="25" modifiedValue="1" />
                    <modifier type="SPEED" value="42" modifiedValue="1.0" />
                </pitch>
            </hail>
        </sounds>
    </enterable>

    <lights>
        <sounds>
            <toggleLights template="switch01"  />
            <turnLight template="switchTurnlightJD"  />
        </sounds>
    </lights>

    <attacherJoints>
        <sounds>
            <attach template="attach01" />
            <hydraulic template="hydraulicOpen02" pitchScale="1.1" volumeScale="3" linkNodeOffset="0 1 -2" fadeIn="0.1" fadeOut="0.1"/>
        </sounds>
    </attacherJoints>

    <drivable>
        <sounds>
            <waterSplash template="waterSplash01" />
        </sounds>
    </drivable>

    <ai>
        <automaticSteering>
            <sounds>
                <engage template="gpsEngageJohnDeere"/>
                <disengage template="gpsDisengageJohnDeere"/>
                <lineEnd template="gpsLineEndJohnDeere"/>
            </sounds>
        </automaticSteering>
    </ai>

    <honk>
		<sound file="sounds/air_horn_6.ogg"  volumeScale="10.0"/>
    </honk>
</sounds>